defineProperty("seatbelt_sound",globalProperty("giv_dataref/seatbelt_sound"))
defineProperty("belt_on",globalProperty("sim/cockpit2/annunciators/fasten_seatbelt")) 
local criticalActionOccur = false

function update()
if (get(belt_on) == 1 and not criticalActionOccur) then
    set(seatbelt_sound, 1)
	criticalActionOccur = true
	
  end
  if get(belt_on) == 0 then
  criticalActionOccur = false
  set(seatbelt_sound, 0)
  end
 
  end
